local assets = {
    Asset("ANIM", "anim/goldhammer.zip"),
    Asset("ANIM", "anim/swap_goldhammer.zip"),
    Asset("ATLAS", "images/inventoryimages/goldhammer.xml"),
    Asset("IMAGE", "images/inventoryimages/goldhammer.tex"),
}

local prefabs = {
}

	local function OnEquip(inst, owner)
		owner.AnimState:OverrideSymbol("swap_object", "swap_goldhammer", "swap_goldhammer")
		owner.SoundEmitter:PlaySound("dontstarve/wilson/equip_item_gold")
		owner.AnimState:Show("ARM_carry")
		owner.AnimState:Hide("ARM_normal")
	end

	local function OnUnequip(inst, owner)
		owner.AnimState:Hide("ARM_carry")
		owner.AnimState:Show("ARM_normal")
	end

local function fn()

	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
	
	inst:AddTag("hammer")
	inst:AddTag("golden")
	
	inst.AnimState:SetBank("goldhammer")
	inst.AnimState:SetBuild("goldhammer")
	inst.AnimState:PlayAnimation("idle")

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "goldhammer"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/goldhammer.xml"

	inst:AddComponent("equippable")
	inst.components.equippable:SetOnEquip( OnEquip )
	inst.components.equippable:SetOnUnequip( OnUnequip )

	inst:AddComponent("weapon")
	inst.components.weapon:SetDamage(TUNING.HAMMER_DAMAGE*2)
	inst.components.weapon.attackwear = 1 / TUNING.GOLDENTOOLFACTOR

	inst:AddComponent("tool")
	inst.components.tool:SetAction(ACTIONS.HAMMER, 2)

	inst:AddComponent("finiteuses")
	inst.components.finiteuses:SetMaxUses(TUNING.HAMMER_USES)
	inst.components.finiteuses:SetUses(TUNING.HAMMER_USES)
	inst.components.finiteuses:SetOnFinished(inst.Remove)
	inst.components.finiteuses:SetConsumption(ACTIONS.HAMMER, 1 / TUNING.GOLDENTOOLFACTOR)
	
	return inst
end

return Prefab("common/inventory/goldhammer", fn, assets, prefabs)

